<html devsite><head>
    <title>Android 安全性公告 - 2017 年 10 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p><em>發佈日期：2017 年 10 月 2 日 | 更新日期：2017 年 10 月 3 日</em></p>

<p>Android 安全性公告羅列了會對 Android 裝置造成影響的安全性漏洞，並說明各項相關細節。2017 年 10 月 5 日之後的安全性修補程式等級已解決了這些問題。想瞭解如何查看裝置的安全性修補程式等級，請參閱<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">檢查和更新 Android 版本</a>。</p>

<p>Android 的合作夥伴在至少一個月之前已收到公告中所有問題的相關通知。這些問題的原始碼修補程式已發佈到 Android 開放原始碼計劃 (AOSP) 存放區中，且公告中亦提供相關連結。此外，本公告也提供 AOSP 以外的修補程式連結。</p>

<p>在這些問題中，最嚴重的就是媒體架構中「最高」等級的安全性漏洞。遠端攻擊者可利用這類漏洞，在獲得授權的程序環境內透過特製檔案執行任何指令。<a href="/security/overview/updates-resources.html#severity">嚴重程度評定標準</a>是假設平台與服務的因應防護措施基於開發作業的需求而被關閉，或是遭到有心人士破解，然後推算當有人惡意運用漏洞時，使用者的裝置會受到多大的影響，據此評定漏洞的嚴重程度。</p>

<p>針對這些新發現的漏洞，我們目前尚未收到任何客戶回報相關的漏洞濫用案例。如果想進一步瞭解 <a href="#mitigations">Android 安全性平台防護措施</a>和 Google Play 安全防護機制如何加強 Android 平台的安全性，請參閱 <a href="/security/enhancements/index.html">Android 和 Google Play 安全防護機制所提供的因應措施</a>。</p>

<p>我們建議所有客戶接受這些裝置更新。</p>

<p class="note"><strong>注意：</strong><a href="/security/bulletin/pixel/2017-10-01">2017 年 10 月 Pixel/Nexus 安全性公告</a>一節提供了和 Google 裝置的最新無線下載更新 (OTA) 與韌體映像檔有關的資訊。</p>

<h2 id="announcements">公告事項</h2>
<ul>
  <li>我們已推出全新的每月 <a href="/security/bulletin/pixel">Pixel/Nexus 安全性公告</a>，其中包含對應 Pixel 和 Nexus 裝置的安全性漏洞資訊和功能改善項目。Android 裝置製造商可用來改善其裝置的相應問題。如需額外資訊，請參閱<a href="#split">常見問題與解答</a></li>
  <li>安全性公告特別銘謝名單現已直接刊載於 <a href="/security/overview/acknowledgements.html">Android 安全性特別銘謝</a>網頁上。</li>
</ul>

<h2 id="mitigations">Android 和 Google 服務問題因應措施</h2>
<p>本節概述 <a href="/security/enhancements/index.html">Android 安全性平台</a>和 <a href="https://www.android.com/play-protect">Google Play 安全防護</a>等服務防護方案所提供的因應措施。這些措施可有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到特定目的。</p>
<ul>
  <li>Android 平台持續推出新的版本來強化安全性，因此有心人士越來越難在 Android 系統上找出漏洞加以利用。我們建議所有使用者盡可能更新至最新版的 Android。</li>
  <li>Android 安全性小組透過 <a href="https://www.android.com/play-protect">Google Play 安全防護</a>主動監控濫用情形；使用這些功能的目的是在發現<a href="/security/reports/Google_Android_Security_PHA_classifications.pdf">可能有害的應用程式</a>時警告使用者。Google Play 安全防護在搭載 <a href="http://www.android.com/gms">Google 行動服務</a>的裝置上都會預設啟用，且對於要從 Google Play 以外來源安裝應用程式的使用者來說格外重要。</li>
</ul>
<h2 id="2017-10-01-details">2017-10-01 安全性修補程式等級 — 資安漏洞詳情</h2>
<p>下列各節針對 2017-10-01 安全修補等級適用的各項安全性漏洞提供了詳細資訊，資安漏洞是依照受它們影響的元件分門別類。包括問題說明及一份漏洞資訊表，顯示漏洞的 CVE、相關參考資料、
<a href="#type">漏洞類型</a>、
<a href="/security/overview/updates-resources.html#severity">嚴重程度</a>，
以及更新的 Android 開放原始碼計劃版本 (在適用情況下)。
假如相關錯誤有公開變更，該錯誤 ID 會連結到相對應的變更 (例如 AOSP 變更清單)。如果單一錯誤有多項相關變更，您可以透過該錯誤 ID 後面的編號連結開啟額外的參考資料。</p>

<h3 id="framework">架構</h3>
<p>本節中最嚴重的漏洞可能會讓本機惡意應用程式規避使用者互動要求以取得其他權限。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>更新的 AOSP 版本</th>
  </tr>
  <tr>
    <td>CVE-2017-0806</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/b87c968e5a41a1a09166199bf54eee12608f3900">A-62998805</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
</tbody></table>

<h3 id="media-framework">媒體架構</h3>
<p>本節中最嚴重的漏洞可能會讓遠端攻擊者得以利用特製檔案在獲得授權的程序環境內執行任何程式碼。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>更新的 AOSP 版本</th>
  </tr>
  <tr>
    <td>CVE-2017-0809</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/552a3b5df2a6876d10da20f72e4cc0d44ac2c790">A-62673128</a></td>
    <td>RCE</td>
    <td>最高</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0810</td>
    <td><a href="https://android.googlesource.com/platform/external/libmpeg2/+/7737780815fe523ad7b0e49456eb75d27a30818a">A-38207066</a></td>
    <td>RCE</td>
    <td>最高</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0811</td>
    <td><a href="https://android.googlesource.com/platform/external/libhevc/+/25c0ffbe6a181b4a373c3c9b421ea449d457e6ed">A-37930177</a></td>
    <td>RCE</td>
    <td>最高</td>
    <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0812</td>
    <td><a href="https://android.googlesource.com/device/google/dragon/+/7df7ec13b1d222ac3a66797fbe432605ea8f973f">A-62873231</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0815</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f490fc335772a9b14e78997486f4a572b0594c04">A-63526567</a></td>
    <td>ID</td>
    <td>中</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0816</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f490fc335772a9b14e78997486f4a572b0594c04">A-63662938</a></td>
    <td>ID</td>
    <td>中</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
</tbody></table>

<h3 id="system">系統</h3>
<p>本節中最嚴重的漏洞可能會讓鄰近的攻擊者在獲得授權的程序環境內執行任何程式碼。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>更新的 AOSP 版本</th>
  </tr>
  <tr>
    <td>CVE-2017-14496</td>
    <td><a href="https://android.googlesource.com/platform/external/dnsmasq/+/ff755ca73c98a1f2706fe86996e4bf6215054834">A-64575136</a>
    [<a href="https://android.googlesource.com/platform/external/dnsmasq/+/68a974de72b5091ce608815a349daaeb05cdeab5">2</a>]</td>
    <td>RCE</td>
    <td>高</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
</tbody></table>

<h2 id="2017-10-05-details">2017-10-05 安全性修補程式等級 — 資安漏洞詳情</h2>
<p>下列各節針對 2017-10-05 安全性修補程式等級適用的各項安全性漏洞提供了詳細資訊。我們依照資安問題本身所影響的元件將各項漏洞分門別類，另外也附上了一些詳細資料，例如 CVE、相關參考資料、<a href="#type">漏洞類型</a>、<a href="/security/overview/updates-resources.html#severity">嚴重程度</a>、元件 (在適用情況下)，和更新的 Android 開放原始碼計劃版本 (在適用情況下)。假如相關錯誤有公開變更，該錯誤 ID 會連結到相對應的變更 (例如 Android 開放原始碼計劃變更清單)。如果單一錯誤有多項相關變更，您可以透過該錯誤 ID 後面的編號連結開啟額外的參考資料。</p>

<h3 id="kernel-components">核心元件</h3>
<p>本節中最嚴重的漏洞可能會讓本機惡意應用程式在獲得授權的程序環境內執行任何程式碼。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>元件</th>
  </tr>
  <tr>
    <td>CVE-2017-7374</td>
    <td>A-37866910<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1b53cf9815bb4744958d41f3795d5d5a1d365e2d">
上游程式庫核心</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>檔案系統</td>
  </tr>
  <tr>
    <td>CVE-2017-9075</td>
    <td>A-62298712<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fdcee2cbb8438702ea1b328fb6e0ac5e9a40c7f8">
上游程式庫核心</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>網路子系統</td>
  </tr>
</tbody></table>

<h3 id="mediatek-components">MediaTek 元件</h3>
<p>本節中最嚴重的漏洞可能會讓本機惡意應用程式在獲得授權的程序環境內執行任何程式碼。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>元件</th>
  </tr>
  <tr>
    <td>CVE-2017-0827</td>
    <td>A-62539960<a href="#asterisk">*</a><br />
        M-ALPS03353876<br />
        M-ALPS03353861<br />
        M-ALPS03353869<br />
        M-ALPS03353867<br />
        M-ALPS03353872</td>
    <td>EoP</td>
    <td>高</td>
    <td>SoC 驅動程式</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Qualcomm 元件</h3>
<p>本節中最嚴重的漏洞可能會讓遠端攻擊者得以利用特製檔案在獲得授權的程序環境內執行任何程式碼。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>參考資料</th>
    <th>類型</th>
    <th>嚴重程度</th>
    <th>元件</th>
  </tr>
  <tr>
    <td>CVE-2017-11053</td>
    <td>A-36895857<a href="#asterisk">*</a><br />
        QC-CR#2061544</td>
    <td>RCE</td>
    <td>最高</td>
    <td>SoC 驅動程式</td>
  </tr>
  <tr>
    <td>CVE-2017-9714</td>
    <td>A-63868020<br />
        <a href="https://source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=aae237dfbaf8edcf310eeb84b887b20e7e9c0ff3">
QC-CR#2046578</a></td>
    <td>EoP</td>
    <td>最高</td>
    <td>網路子系統</td>
  </tr>
  <tr>
    <td>CVE-2017-9683</td>
    <td>A-62379105<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/lk/commit/?id=fe4eae96375c27eaee04bbaf112bdc5c1de62977">
QC-CR#2036397</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>Linux 啟動</td>
  </tr>
</tbody></table>

<h2 id="questions">常見問題與解答</h2>
<p>如果您在閱讀這篇公告後有任何疑問，可參考本節的常見問答。</p>

<p><strong>1. 如何判斷我目前的裝置軟體版本是否已修正這些問題？
</strong></p>

<p>想瞭解如何查看裝置的安全性修補程式等級，請參閱<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">檢查和更新 Android 版本</a>。</p>
<ul>
  <li>2017 年 10 月 1 日之後的安全性修補程式等級已解決了所有與 2017-10-01 安全性修補程式等級相關的問題。</li>
  <li>2017 年 10 月 5 日之後的安全性修補程式等級完全解決了與 2017-10-05 安全性修補程式等級及所有先前修補程式等級相關的問題。
  </li>
</ul>
<p>提供這些更新的裝置製造商應將修補程式字串等級設定為：</p>
<ul>
  <li>[ro.build.version.security_patch]:[2017-10-01]</li>
  <li>[ro.build.version.security_patch]:[2017-10-05]</li>
</ul>
<p><strong>2. 為什麼這篇公告有兩種安全性修補程式等級？</strong></p>

<p>本公告有兩種安全性修補程式等級，讓 Android 合作夥伴能夠靈活運用，以快速修正某些發生在所有 Android 裝置上的類似漏洞。我們建議 Android 合作夥伴修正本公告所列的所有問題，並使用最新的安全修補等級。</p>
<ul>
  <li>使用 2017 年 10 月 1 日安全性修補程式等級的裝置必須納入所有與該安全性修補程式等級相關的問題，以及在之前安全性公告中回報的所有問題適用的修正程式。</li>
  <li>如果裝置是使用 2017 年 10 月 5 日之後的安全性修補程式等級，就必須加入本安全性公告 (以及之前公告) 中的所有適用修補程式。</li>
</ul>
<p>我們建議合作夥伴將所要解決的所有問題適用修補程式彙整在單一更新中。</p>

<p id="type">
<strong>3. 「類型」<em></em>欄中的項目代表什麼意義？</strong></p>

<p>資安漏洞詳情表格中「類型」<em></em>欄中的項目代表的是安全性漏洞的類別。</p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>縮寫詞</th>
   <th>定義</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>遠端程式碼執行</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>權限升級</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>資訊外洩</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>拒絕服務</td>
  </tr>
  <tr>
   <td>無</td>
   <td>未分類</td>
  </tr>
</tbody></table>
<p><strong>4.「參考資料」<em></em>欄底下列出的識別碼代表什麼意義？</strong></p>

<p>資安漏洞詳情表格中「參考資料」<em></em>欄底下的項目可能會包含一個前置字串，用以表示該參考資料值所屬的機構或公司。</p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>前置字串</th>
   <th>參考資料</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android 錯誤 ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm 參考編號</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek 參考編號</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA 參考編號</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom 參考編號</td>
  </tr>
</tbody></table>
<p id="asterisk"><strong>5.「參考資料」<em></em>欄中 Android 錯誤 ID 旁邊的星號 (*) 代表什麼意義？</strong></p>

<p>在「參考資料」<em></em>欄中 Android 錯誤 ID 旁邊標上星號 (*) 代表該問題並未公開，相關的更新通常是直接整合在最新的 Nexus 裝置專用驅動程式的安裝檔中。您可以前往 <a href="https://developers.google.com/android/nexus/drivers">Google Developers 網站</a>下載這些驅動程式。</p>

<p id="split">
<strong>6. 為什麼安全性漏洞會區分為本安全性公告以及裝置合作夥伴的安全性公告，例如 Pixel/Nexus 公告？</strong>
</p>
<p>刊載在本安全性公告的安全性漏洞有其規定作業，以便針對 Android 裝置宣告最新的安全性修補程式等級。其他刊載在裝置/合作夥伴安全性公告的安全性漏洞並未強制規定宣告安全性修補程式等級。我們鼓勵 Android 裝置和晶片製造商透過自己的網站刊載修正方法，例如
<a href="https://security.samsungmobile.com/securityUpdate.smsb">Samsung</a>、
<a href="https://lgsecurity.lge.com/security_updates.html">LGE</a> 或是
<a href="/security/bulletin/pixel">Pixel/Nexus</a>
安全性公告。
</p>

<p><strong>7. 本公告的特別銘謝名單在哪裡？</strong></p>
<p>本公告的特別銘謝名單直接刊載於 <a href="/security/overview/acknowledgements.html">Android 安全性特別銘謝</a>網頁。</p>

<h2 id="versions">版本</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>版本</th>
   <th>日期</th>
   <th>附註</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2017 年 10 月 2 日</td>
   <td>發佈公告。</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>2017 年 10 月 3 日</td>
   <td>修訂公告，加入 Android 開放原始碼計劃連結。</td>
  </tr>
</tbody></table>

</body></html>